Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.api.mimetype
Class MimeTypeConstants

    java.lang.Object
      org.modeshape.jcr.api.mimetype.MimeTypeConstants

    public final class MimeTypeConstants

extends Object

Class used to hold a series of mime-type constants

Author:
  Horia Chiorean

Field Summary
`static String` | `APPLICATION_XML`
`static String` | `AU`
`static String` | `BASH`
`static String` | `BMP`
`static String` | `CALENDAR`
`static String` | `COREL_PRESENTATION`
`static String` | `COREL_QUATTRO_PRO`
`static String` | `COREL_QUATTRO_SPREADSHEET`
`static String` | `COREL_WORD_PERFECT`
`static String` | `FLI`
`static String` | `GIF`
`static String` | `GZIP`
`static String` | `HTML`
`static String` | `HTML_XML`
`static String` | `ICON`
`static String` | `JAR`
`static String` | `JAR_MANIFEST`
`static String` | `JAVA`
`static String` | `JAVA_CLASS`
`static String` | `JPEG`
`static String` | `LZW`
`static String` | `MESSAGE_RFC`
`static String` | `MICROSOFT_APPLICATION_MS_WORD`
`static String` | `MICROSOFT_EXCEL`
`static String` | `MICROSOFT_EXCEL_OPENXML`
`static String` | `MICROSOFT_OFFICE`
`static String` | `MICROSOFT_OFFICE_DOCUMENT_OPENXML`
`static String` | `MICROSOFT_OUTLOOK`
`static String` | `MICROSOFT_POWERPOINT`
`static String` | `MICROSOFT_POWERPOINT_OPENXML`
`static String` | `MICROSOFT_PUBLISHER`
`static String` | `MICROSOFT_VISIO`
`static String` | `MICROSOFT_WORD`
`static String` | `MICROSOFT_WORKS`
`static String` | `MOZILLA_ADDRESS_BOOK`
`static String` | `MP3`
`static String` | `MXML`
`static String` | `OCTET_STREAM`
`static String` | `OGG`
`static String` | `OPEN_DOC_FORMULA`
`static String` | `OPEN_DOC_GRAPHICS`
`static String` | `OPEN_DOC_GRAPHICS_TEMPLATE`
`static String` | `OPEN_DOC_PRESENTATION`
`static String` | `OPEN_DOC_PRESENTATION_TEMPLATE`
`static String` | `OPEN_DOC_SPREADSHEET`
`static String` | `OPEN_DOC_SPREADSHEET_TEMPLATE`
`static String` | `OPEN_DOC_TEXT`
`static String` | `OPEN_DOC_TEXT_TEMPLATE`
`static String` | `OPEN_OFFICE_CALC`
`static String` | `OPEN_OFFICE_CALC_TEMPLATE`
`static String` | `OPEN_OFFICE_DRAW`
`static String` | `OPEN_OFFICE_DRAW_TEMPLATE`
`static String` | `OPEN_OFFICE_IMPRESS`
`static String` | `OPEN_OFFICE_IMPRESS_TEMPLATE`
`static String` | `OPEN_OFFICE_WRITER`
`static String` | `OPEN_OFFICE_WRITER_TEMPLATE`
`static String` | `PBM`
`static String` | `PCX`
`static String` | `PDF`
`static String` | `PGM`
`static String` | `PHOTOSHOP`
`static String` | `PNG`
`static String` | `PORTABLE_PIXMAP`
`static String` | `POSTSCRIPT`
`static String` | `PPM`
`static String` | `RAS`
`static String` | `RTF`
`static String` | `SH`
`static String` | `STAR_OFFICE_CALC`
`static String` | `STAR_OFFICE_DRAW`
`static String` | `STAR_OFFICE_IMPRESS`
`static String` | `STAR_OFFICE_WRITER`
`static String` | `TAR`
`static String` | `TEXT_PLAIN`
`static String` | `TEXT_XML`
`static String` | `TGA`
`static String` | `TIFF`
`static String` | `VCARD`
`static String` | `WAV`
`static String` | `WMF`
`static String` | `WSDL`
`static String` | `XCF`
`static String` | `XOP_XML`
`static String` | `XPM`
`static String` | `XSD` Deprecated.
`static String` | `XSD_XML` Deprecated.
`static String` | `XSFP`
`static String` | `XSLT`
`static String` | `ZIP`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT_PLAIN

    public static final String TEXT_PLAIN

See Also:
  Constant Field Values

### RTF

    public static final String RTF

See Also:
  Constant Field Values

### HTML

    public static final String HTML

See Also:
  Constant Field Values

### WSDL

    public static final String WSDL

See Also:
  Constant Field Values

### APPLICATION_XML

    public static final String APPLICATION_XML

See Also:
  Constant Field Values

### TEXT_XML

    public static final String TEXT_XML

See Also:
  Constant Field Values

### HTML_XML

    public static final String HTML_XML

See Also:
  Constant Field Values

### XOP_XML

    public static final String XOP_XML

See Also:
  Constant Field Values

### XSLT

    public static final String XSLT

See Also:
  Constant Field Values

### XSFP

    public static final String XSFP

See Also:
  Constant Field Values

### MXML

    public static final String MXML

See Also:
  Constant Field Values

### XSD

    @Deprecated
    public static final String XSD

  Deprecated.
  This is not a valid MIME type, but we're using it in case other people use it

  See Also:
    Constant Field Values

### XSD_XML

    @Deprecated
    public static final String XSD_XML

  Deprecated.
  See Also:
    Constant Field Values

### MP3

    public static final String MP3

See Also:
  Constant Field Values

### WAV

    public static final String WAV

See Also:
  Constant Field Values

### AU

    public static final String AU

See Also:
  Constant Field Values

### OGG

    public static final String OGG

See Also:
  Constant Field Values

### FLI

    public static final String FLI

See Also:
  Constant Field Values

### BMP

    public static final String BMP

See Also:
  Constant Field Values

### GIF

    public static final String GIF

See Also:
  Constant Field Values

### ICON

    public static final String ICON

See Also:
  Constant Field Values

### JPEG

    public static final String JPEG

See Also:
  Constant Field Values

### PBM

    public static final String PBM

See Also:
  Constant Field Values

### PGM

    public static final String PGM

See Also:
  Constant Field Values

### PPM

    public static final String PPM

See Also:
  Constant Field Values

### PORTABLE_PIXMAP

    public static final String PORTABLE_PIXMAP

See Also:
  Constant Field Values

### PNG

    public static final String PNG

See Also:
  Constant Field Values

### RAS

    public static final String RAS

See Also:
  Constant Field Values

### TIFF

    public static final String TIFF

See Also:
  Constant Field Values

### TGA

    public static final String TGA

See Also:
  Constant Field Values

### WMF

    public static final String WMF

See Also:
  Constant Field Values

### XCF

    public static final String XCF

See Also:
  Constant Field Values

### XPM

    public static final String XPM

See Also:
  Constant Field Values

### PHOTOSHOP

    public static final String PHOTOSHOP

See Also:
  Constant Field Values

### PCX

    public static final String PCX

See Also:
  Constant Field Values

### JAVA

    public static final String JAVA

See Also:
  Constant Field Values

### JAVA_CLASS

    public static final String JAVA_CLASS

See Also:
  Constant Field Values

### JAR

    public static final String JAR

See Also:
  Constant Field Values

### JAR_MANIFEST

    public static final String JAR_MANIFEST

See Also:
  Constant Field Values

### PDF

    public static final String PDF

See Also:
  Constant Field Values

### POSTSCRIPT

    public static final String POSTSCRIPT

See Also:
  Constant Field Values

### GZIP

    public static final String GZIP

See Also:
  Constant Field Values

### ZIP

    public static final String ZIP

See Also:
  Constant Field Values

### LZW

    public static final String LZW

See Also:
  Constant Field Values

### TAR

    public static final String TAR

See Also:
  Constant Field Values

### BASH

    public static final String BASH

See Also:
  Constant Field Values

### SH

    public static final String SH

See Also:
  Constant Field Values

### OPEN_DOC_FORMULA

    public static final String OPEN_DOC_FORMULA

See Also:
  Constant Field Values

### OPEN_DOC_GRAPHICS

    public static final String OPEN_DOC_GRAPHICS

See Also:
  Constant Field Values

### OPEN_DOC_GRAPHICS_TEMPLATE

    public static final String OPEN_DOC_GRAPHICS_TEMPLATE

See Also:
  Constant Field Values

### OPEN_DOC_PRESENTATION

    public static final String OPEN_DOC_PRESENTATION

See Also:
  Constant Field Values

### OPEN_DOC_PRESENTATION_TEMPLATE

    public static final String OPEN_DOC_PRESENTATION_TEMPLATE

See Also:
  Constant Field Values

### OPEN_DOC_SPREADSHEET

    public static final String OPEN_DOC_SPREADSHEET

See Also:
  Constant Field Values

### OPEN_DOC_SPREADSHEET_TEMPLATE

    public static final String OPEN_DOC_SPREADSHEET_TEMPLATE

See Also:
  Constant Field Values

### OPEN_DOC_TEXT

    public static final String OPEN_DOC_TEXT

See Also:
  Constant Field Values

### OPEN_DOC_TEXT_TEMPLATE

    public static final String OPEN_DOC_TEXT_TEMPLATE

See Also:
  Constant Field Values

### OPEN_OFFICE_CALC

    public static final String OPEN_OFFICE_CALC

See Also:
  Constant Field Values

### OPEN_OFFICE_CALC_TEMPLATE

    public static final String OPEN_OFFICE_CALC_TEMPLATE

See Also:
  Constant Field Values

### OPEN_OFFICE_DRAW

    public static final String OPEN_OFFICE_DRAW

See Also:
  Constant Field Values

### OPEN_OFFICE_DRAW_TEMPLATE

    public static final String OPEN_OFFICE_DRAW_TEMPLATE

See Also:
  Constant Field Values

### OPEN_OFFICE_IMPRESS

    public static final String OPEN_OFFICE_IMPRESS

See Also:
  Constant Field Values

### OPEN_OFFICE_IMPRESS_TEMPLATE

    public static final String OPEN_OFFICE_IMPRESS_TEMPLATE

See Also:
  Constant Field Values

### OPEN_OFFICE_WRITER

    public static final String OPEN_OFFICE_WRITER

See Also:
  Constant Field Values

### OPEN_OFFICE_WRITER_TEMPLATE

    public static final String OPEN_OFFICE_WRITER_TEMPLATE

See Also:
  Constant Field Values

### STAR_OFFICE_CALC

    public static final String STAR_OFFICE_CALC

See Also:
  Constant Field Values

### STAR_OFFICE_DRAW

    public static final String STAR_OFFICE_DRAW

See Also:
  Constant Field Values

### STAR_OFFICE_IMPRESS

    public static final String STAR_OFFICE_IMPRESS

See Also:
  Constant Field Values

### STAR_OFFICE_WRITER

    public static final String STAR_OFFICE_WRITER

See Also:
  Constant Field Values

### MICROSOFT_APPLICATION_MS_WORD

    public static final String MICROSOFT_APPLICATION_MS_WORD

See Also:
  Constant Field Values

### MICROSOFT_OFFICE

    public static final String MICROSOFT_OFFICE

See Also:
  Constant Field Values

### MICROSOFT_WORD

    public static final String MICROSOFT_WORD

See Also:
  Constant Field Values

### MICROSOFT_OFFICE_DOCUMENT_OPENXML

    public static final String MICROSOFT_OFFICE_DOCUMENT_OPENXML

See Also:
  Constant Field Values

### MICROSOFT_WORKS

    public static final String MICROSOFT_WORKS

See Also:
  Constant Field Values

### MICROSOFT_EXCEL

    public static final String MICROSOFT_EXCEL

See Also:
  Constant Field Values

### MICROSOFT_EXCEL_OPENXML

    public static final String MICROSOFT_EXCEL_OPENXML

See Also:
  Constant Field Values

### MICROSOFT_POWERPOINT_OPENXML

    public static final String MICROSOFT_POWERPOINT_OPENXML

See Also:
  Constant Field Values

### MICROSOFT_POWERPOINT

    public static final String MICROSOFT_POWERPOINT

See Also:
  Constant Field Values

### MICROSOFT_PUBLISHER

    public static final String MICROSOFT_PUBLISHER

See Also:
  Constant Field Values

### MICROSOFT_VISIO

    public static final String MICROSOFT_VISIO

See Also:
  Constant Field Values

### MICROSOFT_OUTLOOK

    public static final String MICROSOFT_OUTLOOK

See Also:
  Constant Field Values

### COREL_PRESENTATION

    public static final String COREL_PRESENTATION

See Also:
  Constant Field Values

### COREL_QUATTRO_SPREADSHEET

    public static final String COREL_QUATTRO_SPREADSHEET

See Also:
  Constant Field Values

### COREL_QUATTRO_PRO

    public static final String COREL_QUATTRO_PRO

See Also:
  Constant Field Values

### COREL_WORD_PERFECT

    public static final String COREL_WORD_PERFECT

See Also:
  Constant Field Values

### MESSAGE_RFC

    public static final String MESSAGE_RFC

See Also:
  Constant Field Values

### MOZILLA_ADDRESS_BOOK

    public static final String MOZILLA_ADDRESS_BOOK

See Also:
  Constant Field Values

### VCARD

    public static final String VCARD

See Also:
  Constant Field Values

### CALENDAR

    public static final String CALENDAR

See Also:
  Constant Field Values

### OCTET_STREAM

    public static final String OCTET_STREAM

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.